;-------------------------------------------------------------------------
;
;	divide counts per minute / 60 for RC oscillator adjustment 
;
;-------------------------------------------------------------------------
;input: c1,c0 = value
;output: c1,c0 = value / 60
;	 z0 = remainder
;
div60:
	ldi	z1, 16
	clr	z0
_div1:	lsl	c0
	rol	c1
	rol	z0
	cpi	z0, 60
	brcs	_div2
	subi	z0, 60
	inc	c0
_div2:	dec	z1
	brne	_div1
	ret
;-------------------------------------------------------------------------
